Tessera for Windows
Labels and protection for the Windows desktop. Every file carries a bound NATO confidentiality label, and its key is released only after the reader's clearance has been checked against that label.
Traditional network-perimeter security works well when all sensitive work happens inside a controlled boundary. In practice, that boundary is constantly crossed: files are shared with coalition partners, archived on removable media, sent by email, or moved to systems outside the organisation's direct control.
When a file leaves the perimeter, it leaves behind the access controls that were protecting it. At that point there is nothing stopping an unauthorised recipient from reading it — or an authorised one from forwarding it further.
Three steps, each defined by NATO standards.
The user labels a file from the application they are working in. The file is encrypted, and the label is bound to the content with a digital signature.
The protected file can be stored, copied, e-mailed or archived. The label and the protection travel with it and cannot be removed without detection.
When someone opens the file, a key access service checks their clearance against the label at that moment. The key is released only if every condition is met.
The desktop components handle labelling and display. The services decide who may read what.
Word, Excel, PowerPoint and Outlook show the marking of every document and message, and apply labels from the ribbon.
Plain-text files get the same banner and the same labelling as Office documents.
Markings on file icons and in columns, and Protect and Open commands in the context menu.
Protected files open for editing and are sealed again on close. No readable copy is left on the disk.
Releases a file's key only after the reader's clearance has been checked. It never stores content.
Central configuration, audit of every key release, and sign-in with the organisation's identity provider.
Each file has its own key. Any change to the encrypted content is detected.
The label is bound to the content with a digital signature, so it cannot be altered or moved to another file.
Access is checked each time a file is opened. A withdrawn clearance takes effect at the next attempt.
Key requests are tied to the requesting device, so a stolen sign-in token cannot be used elsewhere.
A file can name key services at several sites. When one is unreachable, another releases the key.
Files being edited are kept out of reach of other programs and are sealed again when they close.
Classifications are not hard-coded. Everything the user is offered — the levels, their order, and the categories that may qualify them — is read from the domain's XMLSPIF, so the desktop speaks exactly the vocabulary the policy authority published. The screenshots below use TESSERA, a fictional demonstration policy we publish for testing, so that nothing shown here is a real classification marking.
Standards implemented in Tessera for Windows
ACP-240 STANAG 4774 STANAG 4778 ADatP-5636 ADatP-5663 XMLSPIF v2.1/v3.0 RFC 8785 JCS RFC 9449 DPoP RFC 5652 CMS